ibook g4 upgrade

Joined
Nov 20, 2011
Messages
5
Reaction score
0
Points
1
I m looking to upgrade my son's old ibook g4 for the sole purpose of using it with my ipad 1, which only occasionally requires a computer for upgrades, printing etc...this machine currently has OS X 10.4.11. I think I need to upgrade to Leopard, then Snow Leopard to get the version of Itunes i need. Right? I have been looking on ebay for leopard and see a wide range of prices ($50-$300) for what appears to be the same item. Can someone fill in the blanks on the specs I need for this? Is a previously used (only used once....) one ok or do I need new in box. Does it need to be specific to my exact model? other things to look for?

thanks.
 

pigoo3

Well-known member
Staff member
Admin
Joined
May 20, 2008
Messages
44,223
Reaction score
1,432
Points
113
Location
U.S.
Your Mac's Specs
2017 15" MBP, 16gig ram, 1TB SSD, OS 10.15
This iBook G4 can be upgraded to 10.5 "Leopard"...but it cannot be upgraded to Snow Leopard. Snow Leopard requires an Intel cpu.

As far as e-Bay...not sure exactly what you're looking at...but what you want is the 10.5 Leopard install disk that's "dark" colored with a BIG X on it.

You do not want a gray/silver colored disk!

HTH,

- Nick
 
OP
J
Joined
Nov 20, 2011
Messages
5
Reaction score
0
Points
1
upgrade for ibook g4

does this mean that upgrading to leopard won't allow me to use it with my ipad as intended?
 
Joined
Oct 22, 2007
Messages
8,967
Reaction score
287
Points
83
Location
London
Your Mac's Specs
Mac Mini Core i7 2012 | White 2009 MacBook 2 Ghz | 733 Mhz G4 Quicksilver
as said, the G4 will not be upgradable to snow leopard, SL requires an intel powered mac
 

pigoo3

Well-known member
Staff member
Admin
Joined
May 20, 2008
Messages
44,223
Reaction score
1,432
Points
113
Location
U.S.
Your Mac's Specs
2017 15" MBP, 16gig ram, 1TB SSD, OS 10.15
does this mean that upgrading to leopard won't allow me to use it with my ipad as intended?

Need additional information:

- What application(s) do you need to use between your iBook G4 and iPad?
- What version of those applications do you need?

Once you answer these questions...we can better provide an answer.:)

- Nick
 
OP
J
Joined
Nov 20, 2011
Messages
5
Reaction score
0
Points
1
thanks nick. i know i need access to Itunes- not sure what is the minimum version i need to add music, photos to my ipad. i was hoping the forum could help me figure that out. i posted this in the ipad forum too
 

pigoo3

Well-known member
Staff member
Admin
Joined
May 20, 2008
Messages
44,223
Reaction score
1,432
Points
113
Location
U.S.
Your Mac's Specs
2017 15" MBP, 16gig ram, 1TB SSD, OS 10.15
thanks nick. i know i need access to Itunes- not sure what is the minimum version i need to add music, photos to my ipad. i was hoping the forum could help me figure that out. i posted this in the ipad forum too

Here's where we find that info:

Apple - iPad 2 - View the technical specifications for iPad 2.

Scroll down to "System Requirements"...and it states that a minimum of Mac OS 10.5.8 is needed...and iTunes 10.5 or later (see free download link).

HTH,:)

- Nick
 
OP
J
Joined
Nov 20, 2011
Messages
5
Reaction score
0
Points
1
Poor Nick, you will never be rid of me....thanks for the education. i have the original ipad, which requires 10.5 OS and Itunes "10.1 or later" to quote the specs. My current itunes on the laptop is 9.1. i looked at the specs for Leopard but saw nothing on whether upgrading to that OS will give me the ability to upgrade to the proper itunes. How do I find that out. Google search gave me no luck? Thanks for your continued patient assistance.
 

pigoo3

Well-known member
Staff member
Admin
Joined
May 20, 2008
Messages
44,223
Reaction score
1,432
Points
113
Location
U.S.
Your Mac's Specs
2017 15" MBP, 16gig ram, 1TB SSD, OS 10.15
Poor Nick, you will never be rid of me....thanks for the education. i have the original ipad, which requires 10.5 OS and Itunes "10.1 or later" to quote the specs. My current itunes on the laptop is 9.1. i looked at the specs for Leopard but saw nothing on whether upgrading to that OS will give me the ability to upgrade to the proper itunes. How do I find that out. Google search gave me no luck? Thanks for your continued patient assistance.

Yeah...I meant to ask if you had an iPad 1 or iPad 2...since the requirements might be a bit different (and it does seem that the iTunes requirement is different).

Here's some info that should help:

http://en.wikipedia.org/wiki/ITunes_version_history

- Mac OS 10.5 (Leopard) was released October, 2007
- iTunes 10.1 was released November, 2010

iTunes 10.1 was released roughly 3 years after OS 10.5...so no worries.

When you install Leopard (OS 10.5)...run "Software Update"...and it will update you to OS 10.5.8...AND "Software Update" will also update iTunes to the latest version as well.

Good luck,

- Nick
 

Shop Amazon


Shop for your Apple, Mac, iPhone and other computer products on Amazon.
We are a participant in the Amazon Services LLC Associates Program, an affiliate program designed to provide a means for us to earn fees by linking to Amazon and affiliated sites.
Top